#include <stdint.h>

/*****************************************************************************/
/*                                                                           */
/*                             Standard Files                                */
/*                  ITTIAM SYSTEMS PVT LTD, BANGALORE                        */
/*                          COPYRIGHT(C) 2011                                */
/*                                                                           */
/*  This program  is  proprietary to  Ittiam  Systems  Private  Limited  and */
/*  is protected under Indian  Copyright Law as an unpublished work. Its use */
/*  and  disclosure  is  limited by  the terms  and  conditions of a license */
/*  agreement. It may not be copied or otherwise  reproduced or disclosed to */
/*  persons outside the licensee's organization except in accordance with the*/
/*  the  terms  and  conditions   of  such  an  agreement.  All  copies  and */
/*  reproductions shall be the property of Ittiam Systems Private Limited and*/
/*  must bear this notice in its entirety.                                   */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/*                                                                           */
/*  File Name         : itt_cv_datatypes.h                                   */
/*                                                                           */
/*  Description       : This file has the definitions of the data types used */
/*                                                                           */
/*  Issues / Problems : None                                                 */
/*                                                                           */
/*  Revision History  :                                                      */
/*                                                                           */
/*         DD MM YYYY   Author(s)       Changes (Describe the changes made)  */
/*         06 04 2006   Ittiam          Draft                                */
/*                                                                           */
/*****************************************************************************/
#ifndef _ITT_CV_DATATYPES_H_
#define _ITT_CV_DATATYPES_H_

/*****************************************************************************/
/* Constant Macros                                                           */
/*****************************************************************************/
/* Limits for different data types */
#define MAX_32 INT32_MAX
#define MIN_32 INT32_MIN

/*****************************************************************************/
/* Typedefs                                                                  */
/*****************************************************************************/

/*****************************************************************************/
/* Unsigned data types                                                       */
/*****************************************************************************/
typedef uint8_t				UWORD8;
typedef uint16_t		    UWORD16;
typedef uint32_t	        UWORD32;
typedef uint64_t			UWORD64;
typedef int64_t				WORD64;

/*****************************************************************************/
/* Signed data types                                                         */
/*****************************************************************************/
typedef int8_t				WORD8;
typedef int16_t				WORD16;
typedef int32_t				WORD32;

/*****************************************************************************/
/* Miscellaneous data types                                                  */
/*****************************************************************************/
typedef int8_t            	*pSTRING;
typedef int8_t            	CHAR;
typedef float           FLOAT32;




#endif /*_ITT_CV_DATATYPES_H_*/
